Bug 144555 - gdb can not work properly.
gdb can not work properly.
Status: CLOSED DUPLICATE of bug 145092
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdb (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-08 02:55 EST by L3support
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 13:35:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description L3support 2005-01-08 02:55:07 EST
Description of problem:

We run our test program, then core dumped.
We run gdb using the core, run bt(backtrace).
But we can not.

This behavior is gdb's feature or bug ? 

-----------------
<test program> a.c
#include <stdlib.h>
main()
{
  abort();
}
-----------------

Version-Release number of selected component (if applicable):
gdb-6.1post-1.20040607.43

How reproducible:
always

Steps to Reproduce:
1.run test program(a.c), core dumped
2.run gdb using core
3.run bt
  
Actual results:
gdb can not work properly.

Expected results:
gdb can work properly.

Additional info:
# ulimit -c 100000
# ./a.out
Aborted (core dumped)
# gdb a.out core.19085
GNU gdb Red Hat Linux (6.1post-1.20040607.43rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "ia64-redhat-linux-gnu"...(no debugging
symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".

Core was generated by `./a.out'.
Program terminated with signal 6, Aborted.

warning: svr4_current_sos: Can't read pathname for load map:
Input/output error

Reading symbols from /lib/tls/libc.so.6.1...(no debugging symbols
found)...done.
Loaded symbols for /lib/tls/libc.so.6.1
Reading symbols from /lib/ld-linux-ia64.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/ld-linux-ia64.so.2
#0  <signal handler called>
(gdb) bt
#0  <signal handler called>
Cannot access memory at address 0x20
(gdb)

Note You need to log in before you can comment on or make changes to this bug.